//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using TestApplicationDomainModel;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using Evolving.TrueView.UI;
using System.Drawing;
using System.Windows.Forms;
using TestApplicationDomainModel.Objects;

namespace TestApplication
{

    public class MoneyPresenter : IPresenterInfrastructureService<Money>
    {

        public void ApplyStyle(Money domainObject, System.Reflection.MemberInfo memberInfo, IStyleArgs memberStyle)
        {
        }

        public void ApplyStyle(Money domainObject, IStyleArgs objectStyle)
        {
        }

        public Control CreateAdornmentFor(Money domainObject)
        {
            return null;
        }

        public Control CreateAdornmentFor(Money domainObject, System.Reflection.PropertyInfo propertyInfo)
        {
            return null;
        }

        public Control CreateViewFor(Money domainObject)
        {
            //var view = new MoneyCustomForm();
            //return view;
            return null;
        }

    }
}
